Main Page Class Hierarchy Compound List File List Compound Members

# ArrayReference Class Reference

Array Reference to structure. More...

`#include <referenc.h>`

Inheritance diagram for ArrayReference:

List of all members.

## Public Methods
void | OWrite (Driver_out &where)
void | DoWrite (DrawDriver &dr)
TYPE | GetType ()
| get the element type NON,BOUNDARY,PATH,TEXT,SREF,AREF,ARCSEG,BOX,CIRCLE
BoundingBox & | CalcBoundingBox ()
| calculate the bounding box
Element * | Duplicate ()
void | Transform (wxTransformMatrix *_Matrix)
| tranform the element given a matrix
void | CalcArea (double *area, EleFlags mask)
void | Flatten (Structure *_Top, wxTransformMatrix *_Matrix, bool srefSelected, EleFlags refgroup, bool deep)
## Protected Methods
bool | Select (Point *)
| select the element if Point is within it
bool | Select (BoundingBox *, wxTransformMatrix *)

## Detailed Description

Array Reference to structure.

references as an array a structure \ca StructureReference

## Member Function Documentation

bool ArrayReference::Select | ( | BoundingBox * | ,
|  | wxTransformMatrix * |
| ) | `[protected, virtual]`

| select the element if is within the box. matrix is used to calculate the relative BoundingBox within structures Implements Element.

The documentation for this class was generated from the following file:

- referenc.h

ArrayReference class Reference -- Thu Nov 28 21:24:56 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page